Eclipse informó “Error al cargar la biblioteca compartida JNI”

Posible duplicado:
Error al cargar la Biblioteca compartida JNI (JDK)

No puedo abrir Eclipse porque recibo una alerta que dice

Error al cargar la biblioteca JNI compartida C: \ Archivos de progtwig (x86) \ eclipse \ jre \ bin \ client \ jvm.dll

Encontré una especie de solución en YouTube, Eclipse no pudo cargar la corrección de biblioteca JNI .

Él dice que solo tienes que descargar una carpeta JRE 7. Entonces solo tengo que reemplazar C:\Program Files (x86)\Java\jre7\bin\server\jvm.dll con C:\Program Files (x86)\eclipse\jre\bin\client\jvm.dll .

Pero, ¿dónde está el enlace JRE 7?

Primero, asegúrese de que su versión de Eclipse y JDK coincida, tanto en 64 bits como en ambos de 32 bits (no puede mezclar y combinar 32 bits con 64 bits).

En segundo lugar, el argumento -vm en eclipse.ini debe apuntar al ejecutable java. Ver http://wiki.eclipse.org/Eclipse.ini para ejemplos.

Si no está seguro de qué versión (64 bits o 32 bits) de Eclipse ha instalado, puede determinarlo de diferentes maneras. Consulte ¿Cómo saber si un Eclipse instalado tiene una versión de 32 o 64 bits?

La instalación de una versión de 64 bits de Java resolverá el problema. Ir a la página Descargas de Java para todos los sistemas operativos

Este es un problema debido a la incompatibilidad de la versión de Java y la versión de Eclipse ambos deberían ser de 64 bits si está utilizando un sistema de 64 bits.

Sí, en Windows 7 64 bit tiene C:\Program Files y C:\Program Files (x86) . Puede encontrar carpetas Java en ambos, pero debe agregar C:\Program Files\Java\jre7\bin a la variable de entorno PATH.

JRE 7 probablemente esté instalado en Program Files\Java y NO Program Files(x86)\Java .